#include "TFile.h"
#include "TTree.h"
#include "TString.h"
#include "TRandom.h"


#include <iostream>

void MakeFiles(TString basename = "testfiles")

{
  Double_t par;
  TTree *atree;
  TFile *afile;
  for(int i=0; i<5; i++){
    std::cout << Form("%s_%i.root",basename.Data(),i) << "\n";
    afile = new TFile(Form("%s_%i.root",basename.Data(),i),"RECREATE");
    atree = new TTree("testtree","testtree");
    atree->Branch("par",&par,"par/D");
    for(int j=0; j<(Int_t)(1e7*gRandom->Uniform()); j++){
      par = gRandom->Gaus();
      atree->Fill();
      if(j%1000==0){
	std::cout << j << "\n";
      }
    }
    atree->Write();
    afile->Write();
    afile->Close();
  }
}
